/**
 * Block UI for Vue Directive
 */

require('./jquery.blockUI');

module.exports = {
    params: ['loaderText'],
    update: function (value) {
        if (value) {
            window.Metronic.blockUI({
                target: this.el,
                message: this.params.loaderText || 'Loading...',
                boxed: true,
                textOnly: true
            });
        } else {
            window.Metronic.unblockUI(this.el);
        }
    }
};